package br.ufrn.imd.balance.controller;


import br.ufrn.imd.balance.domain.Client;
import br.ufrn.imd.balance.service.BalanceService;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.*;

@AllArgsConstructor
@RestController
@RequestMapping("/banking/client/{id}")
public class BalanceController {
    @Autowired
    private final BalanceService service;

    @GetMapping
    @ResponseStatus(HttpStatus.OK)
    public Client balance(@PathVariable Integer id) {
        return service.balance(new Client(id));
    }
}
